## org.eclipse.emf.common.ui.viewer
Class ExtendedTableTreeViewer.ExtendedTableTreeItem

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Item
              org.eclipse.swt.custom.TableTreeItem
                  org.eclipse.emf.common.ui.viewer.ExtendedTableTreeViewer.ExtendedTableTreeItem

Enclosing class:
  ExtendedTableTreeViewer

    public class ExtendedTableTreeViewer.ExtendedTableTreeItem

extends TableTreeItem

Field Summary
`protected Image` `firstImage`

Fields inherited from class org.eclipse.swt.widgets.Widget
`handle`

Constructor Summary
`ExtendedTableTreeViewer.ExtendedTableTreeItem(TableTree parent, int style)`
`ExtendedTableTreeViewer.ExtendedTableTreeItem(TableTree parent, int style, int index)`
`ExtendedTableTreeViewer.ExtendedTableTreeItem(TableTreeItem parent, int style)`
`ExtendedTableTreeViewer.ExtendedTableTreeItem(TableTreeItem parent, int style, int index)`

Method Summary
`Image` `getFirstImage()` Returns the additional first image, which would have been set by setImage(..., 0).
`Rectangle` `getFirstImageBounds()` Returns the bounds of the additional first image, which would have been set by setImage(..., 0).
`Rectangle` `getImageBounds(int column)` This is equivalent to TableItem.getImageBounds(), except that it gives corrected values on GTK.
`int` `getImagePaddingWidth()`
`protected TableItem` `getTableItem()` Returns the underlying TableItem.
`java.lang.String` `getText(int index)`
`void` `setImage(int index, Image image)`
`void` `setText(int index, java.lang.String text)`

Methods inherited from class org.eclipse.swt.custom.TableTreeItem
`dispose, getBackground, getBounds, getChecked, getExpanded, getFont, getForeground, getGrayed, getImage, getImage, getItem, getItemCount, getItems, getParent, getParentItem, getText, indexOf, setBackground, setChecked, setExpanded, setFont, setForeground, setGrayed, setImage, setText`

Methods inherited from class org.eclipse.swt.widgets.Item
`checkSubclass`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### firstImage

    protected Image firstImage

Constructor Detail

### ExtendedTableTreeViewer.ExtendedTableTreeItem

    public ExtendedTableTreeViewer.ExtendedTableTreeItem(TableTree parent,
                                                         int style)

### ExtendedTableTreeViewer.ExtendedTableTreeItem

    public ExtendedTableTreeViewer.ExtendedTableTreeItem(TableTree parent,
                                                         int style,
                                                         int index)

### ExtendedTableTreeViewer.ExtendedTableTreeItem

    public ExtendedTableTreeViewer.ExtendedTableTreeItem(TableTreeItem parent,
                                                         int style)

### ExtendedTableTreeViewer.ExtendedTableTreeItem

    public ExtendedTableTreeViewer.ExtendedTableTreeItem(TableTreeItem parent,
                                                         int style,
                                                         int index)

Method Detail

### setText

    public void setText(int index,
                        java.lang.String text)

  Overrides:
    `setText` in class `TableTreeItem`

### getText

    public java.lang.String getText(int index)

  Overrides:
    `getText` in class `TableTreeItem`

### setImage

    public void setImage(int index,
                         Image image)

  Overrides:
    `setImage` in class `TableTreeItem`

### getFirstImage

    public Image getFirstImage()

  Returns the additional first image, which would have been set by setImage(..., 0).

### getImagePaddingWidth

    public int getImagePaddingWidth()

### getImageBounds

    public Rectangle getImageBounds(int column)

  This is equivalent to TableItem.getImageBounds(), except that it gives corrected values on GTK. See Bugzilla 42434.

### getFirstImageBounds

    public Rectangle getFirstImageBounds()

  Returns the bounds of the additional first image, which would have been set by setImage(..., 0).

### getTableItem

    protected TableItem getTableItem()

  Returns the underlying TableItem.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.